;prints 12-tone frequencies


<CsoundSynthesizer>
<CsOptions>

csound -s -d -m0 -odevaudio -b800 -B800 

</CsOptions>
<CsInstruments>

sr	=	44100
kr	=	441
ksmps	=	100
nchnls  =       2

	instr	2002	
;12 tone equal temperament
kctr = 0
kfreq = 220
start:
if (kctr > 12) kgoto contin
kpitch = kfreq * (exp(log(2.0) * (kctr)/12.0))
kctr = kctr+1
printf "Frequency %d = %5.4f \n", kctr, kctr, kpitch
kgoto start
contin:
turnoff
 	endin


	instr	2003	
;19 tone equal temperament
kctr = 0
kfreq = 220
start:
if (kctr > 19) kgoto contin
kpitch = kfreq * (exp(log(2.0) * (kctr)/19.0))
kctr = kctr+1
printf "Frequency %d = %5.4f \n", kctr, kctr, kpitch
kgoto start
contin:
turnoff
 	endin


</CsInstruments>
<CsScore>
; One period of a sine wave
f 1	0	8192	10	1
 
i 2002	0	1  
s
i 2003   0    1

e


</CsScore>
</CsoundSynthesizer>
